[<script type="text/javascript" src="(#CHEMIN{javascript/jcarousel/lib/jquery.jcarousel.pack.js})"></script>]
[<link rel="stylesheet" type="text/css" href="(#CHEMIN{javascript/jcarousel/lib/jquery.jcarousel.css})" />]

<div class="modele_img_carousel">
<BOUCLE_document(DOCUMENTS) {id_document}{tout}>
<div class="image_map">
[(#FICHIER|image_reduire{1024,768})]
</div>
</BOUCLE_document>

<div id="titre">
<BOUCLE_rub(RUBRIQUES){id_rubrique}>
	<h1 class='#EDIT{titre}'>[(#TITRE|supprimer_numero)]</h1>
</BOUCLE_rub>
</div>

[(#SET{article_unique,1})]
<B_articles_carousel>
[(#TOTAL_BOUCLE|>{1}|oui)
	[(#SET{article_unique,0})]
	<div id="carousel_rtc" class="carousel">
		<ul>]
	<BOUCLE_articles_carousel(ARTICLES){id_rubrique}{par num titre, titre}>
		<BOUCLE_cond(CONDITION){si (#_articles_carousel:TOTAL_BOUCLE|>{1})}>
			<li id="lien#ID_ARTICLE">
			<div class="marge_image">
			<BOUCLE_logo_art_carousel(DOCUMENTS){id_article=#_articles_carousel:ID_ARTICLE}{ligature=logo}{par num titre, titre}>
			<div class="image" style="background:url([(#FICHIER||image_passe_partout{100,100}|image_recadre{100,100,center}|extraire_attribut{src})]);"></div>
			</BOUCLE_logo_art_carousel>
			<div class="image" style="background:url([(#LOGO_ARTICLE||image_passe_partout{100,100}|image_recadre{100,100,center}|extraire_attribut{src})]);"></div>
			<//B_logo_art_carousel>
			</div>
			</li>
		</BOUCLE_cond>
	</BOUCLE_articles_carousel>
[(#TOTAL_BOUCLE|>{1}|oui)
		</ul>
	</div>]
</B_articles_carousel>


<div class="lesarticles[ (#GET{article_unique}|oui)article_unique]">
<BOUCLE_articles_contenu(ARTICLES){id_rubrique}{par num titre, titre}>
	<div class="article" id="art#ID_ARTICLE">
	[(#REM) tester au passage si la colonne 1 est necessaire ou pas... ]
	[(#SET{colonne_unique,1})]
		<div class="colonne1">
			<BOUCLE_logo(DOCUMENTS){id_article}{ligature=logo}{par num titre, titre}>
			[(#MODELE{document,id=#ID_DOCUMENT}|image_reduire{300,400})]
			[(#SET{colonne_unique,0})]
			</BOUCLE_logo>
			[(#LOGO_ARTICLE||image_reduire{300,400})]
			[(#LOGO_ARTICLE|oui)[(#SET{colonne_unique,0})]]
			<//B_logo>

			[(#REM) les sons associes ]
			<BOUCLE_son_texte(DOCUMENTS){id_article}{extension=mp3}{par num titre, titre}>
			[(#SET{colonne_unique,0})]
				[<div class="son_texte" id="son#ID_DOCUMENT">
					<a href="(#FICHIER)">Écouter</a>
				</div>]
			</BOUCLE_son_texte>
		</div>
		<div class="colonne2[ (#GET{colonne_unique}|oui)colonne_unique]">
			[<h1 class="#EDIT{titre} titre">(#TITRE)</h1>]
			<div class="descriptions">
				[<div class="#EDIT{chapo} chapo">(#CHAPO|image_reduire{545,0})</div>]
				[<div class="#EDIT{texte} texte">(#TEXTE|image_reduire{545,0})</div>]
				[<div class="#EDIT{notes} notes">(#NOTES|image_reduire{545,0})</div>]
				[<div class="#EDIT{sources} sources">(#SOURCES|image_reduire{545,0})</div>]
			</div>
		</div>
	</div>
</BOUCLE_articles_contenu>
</div>

</div><!-- .modele_img_carte -->

<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#carousel_rtc ul').jcarousel({
        scroll:1,
        initCallback: carousel_rtc_initCallback,
        buttonNextEvent:'mouseover',
        buttonPrevEvent:'mouseover'
    });
    
    function carousel_rtc_initCallback(carousel) {
		jQuery('#carousel_rtc .jcarousel-next').bind('click', function() {
			carousel.next();
			return false;
		});
		jQuery('#carousel_rtc .jcarousel-prev').bind('click', function() {
			carousel.prev();
			return false;
		});
	}

    jQuery('.carousel ul li:first').addClass('on');
    
    function deplacer_vignette(me){
		if (!$(me).is('.on')) {
			soundManager.stopAll();
			$(me).parent().find('li.on').removeClass('on').show();
			id = $(me).addClass('on').addClass('on_clic').attr('id').substr(4); /* lienXX */
			$('.lesarticles .article.on').fadeOut('normal', function(){
				$(this).removeClass('on').attr('style','');
				$('#art'+id).css('opacity',0).addClass('on').timer = setTimeout(function(){
					$('#art'+id).find('.colonne2 .descriptions').scrollTop(0);
					$('#art'+id).animate({opacity:1},'normal');
				},200);
			});
		}
	}
    /*jQuery('.carousel ul li').click(function(){deplacer_vignette(this);});*/
    jQuery('.carousel ul li').hover(
		function(){deplacer_vignette(this);},
		function(){}
	);
	
    jQuery('.lesarticles .article:first').addClass('on');
    /* gerer le son */
    jQuery(".son_texte").click(function(){
		var son = jQuery(this).find("a").attr("href");
		var id = jQuery(this).attr("id").substr(3);
		if (son) {
			soundManager.play("son"+nb, son);
		}
		return false;
	});

	/* Si dans frame, remonter un peu la page (cas de la sitographie, frame 25px et 2px bordure) */
	if (top != self) {
		jQuery("#salle").css('top','-27px');
	}
});
</script>
